﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ImageColumnDemo
{
    public class ViewModel
    {
        Random random;
        public ViewModel()
        {
            random = new Random();
            GetOrderDetails(50);           
        }

        #region ItemsSource

        private ObservableCollection<OrderInfo> ordersInfo;

        public ObservableCollection<OrderInfo> OrdersInfo
        {
            get { return ordersInfo; }
            set { this.ordersInfo = value; }
        }

        #endregion

        #region ItemSource Generator

        public void GetOrderDetails(int count)
        {
            var order = new ObservableCollection<OrderInfo>();
            for (int i = 1; i <= count; i++)
            {
                var ord = new OrderInfo();
                ord.OrderID = i;
                ord.EmployeeID = random.Next(1700, 1800);
                ord.DealerImage = ImageSource.FromResource("ImageColumnDemo.Images.Image" + random.Next(1,15) + ".png");
                order.Add(ord);
            }
            ordersInfo = order;
        }

        #endregion
    }
}
